CREATE TABLE sections (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  section varchar(255),
  PRIMARY KEY (ID)
);

CREATE TABLE articles (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  title TEXT,
  beginning TEXT,
  text TEXT,
  author varchar(8),
  adate date,
  section varchar(50),
  image1 varchar(255),
  image2 varchar(255),
  image3 varchar(255),
  image4 varchar(255),
  image5 varchar(255),
  image6 varchar(255),
  PRIMARY KEY (ID)
);

CREATE TABLE users (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  user varchar(8),
  password varchar(100),
  fullname varchar(50),
  position varchar(10),
  PRIMARY KEY (ID)
);

CREATE TABLE login (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  user varchar(8),
  loginid varchar(100),
  PRIMARY KEY (ID)
);

CREATE TABLE globallist (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  adate date,
  title TEXT,
  alienID INT(10) UNSIGNED,
  PRIMARY KEY (ID)
);

CREATE TABLE current (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  text TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE messages (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  user varchar(8),
  adate date,
  atime time,
  sender varchar(8),
  subject TEXT,
  message TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE surveys (
  ID INT(10) UNSIGNED DEFAULT '1' NOT NULL AUTO_INCREMENT,
  title varchar(255),
  number tinyint,
  status varchar(10),
  ans1 varchar(60),
  ans2 varchar(60),
  ans3 varchar(60),
  ans4 varchar(60),
  ans5 varchar(60),
  vote1 smallint DEFAULT '0',
  vote2 smallint DEFAULT '0',
  vote3 smallint DEFAULT '0',
  vote4 smallint DEFAULT '0',
  vote5 smallint DEFAULT '0',
  PRIMARY KEY (ID)
);

INSERT INTO users VALUES(NULL,'admin','21232f297a57a5a743894a0e4a801fc3','Administrtor','admin');

INSERT INTO current VALUES (NULL,'text');

// 1ST TIME LOGGING - password for admin is: admin

/*
pridavanie suborov (myslim tym obrazky....)

ADMINISTRATORSKY ENGINE
login.php -> autentifikuj.php -> admin.php
zapiszmeny.php -- vykonava prikazy
adminzmeny.php -- zmeny pre adminove prikazy
chiefzmeny.php -- zmeny pre chiefove prikazy

BEZPECNOST
oversession.php -- overi usera, ci prebehla autentifikacia
overadmin.php -- overi, ci je user admin
overchief.php -- overi, ci je user chief (prip. admin)

UTILITIES
connect.php -- connects to a database
failure.php -- checkne result of input/output to/from database

ADMIN
adminmenu.php
pridajuzivatela.php
adminudaje.php

CHIEF
chiefmenu.php

EDITOR
editormenu.php
pridajclanok.php
editudaje.php
zapiszmeny.php
pridajodkaz.php
citajodkaz.php
navrhnianketu.php -- to iste, co pridaj odkaz, ale predmet bude "navrh na anketu", takze chief rovno vie, ze to je navrh na anketu... iba taky maly odrb


nezabudnut na postupnost - vsetko, co ma k dispozicii editor ma k dispozcii aj chiefeditor a admin, vsetko co ma chief ma tiez admin. nikdy vsak NIE NAOPAK!
/\
|
|
|
|
|


-----

PUBLIC scripts:
showarticle.php?id=article
showsurvey.php?id=survey
guestmodify.php

COOKIES expiration time:
1 day: 86400 secs
1 hour: 3600 secs
*/